function hgF = hg(p,xA,yA,hgA,hgA_,xB,yB,hgB,hgB_,v,fid)


[n,pom] = size(p);

x = p(:,2);
y = p(:,3);


d = 0; %vzdlenosti mezi body

for i=1:n-1
    pom = ((x(i) - x(i+1))^2 + (y(i) - y(i+1))^2)^0.5;
    d(i+1) = d(i) + pom; %vzdlenost od prvnho bodu
end


dA = ((x(1) - xA)^2 + (y(1) - yA)^2)^0.5;

dB = dA + ( (xA - xB)^2 + (yA - yB)^2 )^0.5;

x = [
    1 dA
    1 dB
];


y=[
    hgA_ - hgA
    hgB_ - hgB
];


a = regress(y,x);
q = a(1);
k = a(2);

fprintf(fid,'f = %8.4f  lamda %+8.4f\n',k,q);

pom = (k * d + q)';

hgF = p(:,7) + pom - v;
